# Historie

```mermaid
stateDiagram
    [*]--> ersteAutomaten
    ersteAutomaten: 60 n Chr.
    note right of ersteAutomaten
        Alexandriner Heron entwickelte
        viele Automaten z.B.
        automatische Türen mit Hebeln
        _
    end note
    
    ersteAutomaten --> zeitDerUhrmacher
    zeitDerUhrmacher: 1348-1364
    note left of zeitDerUhrmacher
        Giovanni de Dondi baute 1348-1364 die
        erste Astronomische Uhr
        _
    end note
    note left of zeitDerUhrmacher
        Eingabe: Takt
        Ausgabe: Zeiger
        Zahnräder: innerer Zustand
        _
    end note
    
    zeitDerUhrmacher --> astronomischeUhr
    astronomischeUhr: 1354
    note left of astronomischeUhr
        Astronomische Uhr
        _
    end note
    
    astronomischeUhr --> lochkartenWebstuhl
    lochkartenWebstuhl: 1725-1728
    note right of lochkartenWebstuhl
        Basile Bouchon 1725 und Jean
        Babtiste Falcon 1728 erfanden
        eine Apparatur die über
        Lochkarten gesteuert wurde
        _
    end note
    
    lochkartenWebstuhl --> jaquesDesVaucanson
    jaquesDesVaucanson: 1745
    note left of jaquesDesVaucanson
        Der mechanische Webstuhl wurde
        durch Jacques de Vaucanson, einem
        Erfinder um 1745 weiterentwickelt,
        konnte sich aber immer noch nicht
        durchsetzen
        _
    end note
    note left of jaquesDesVaucanson
        Vaucanson entwickelte auch andere
        Automaten, so die berühmte Ente
        _
    end note
    
    jaquesDesVaucanson --> jaquard
    jaquard: Der Jaquard Webstuhl
    note right of jaquard
        erste frei programmierbare
        Maschine, die in großer Menge
        gefertigt wurde
        _
    end note
        note right of jaquard
        Der Lochkartenstreifen ist der
        erste Datenträger, der
        austauschbare Programme trägt
        _
    end note
    
    jaquard --> lochkartenSteuerungMusik
    lochkartenSteuerungMusik: Ende 17. Jhd
    note left of lochkartenSteuerungMusik
        Drehorgeln, Orchestrion 
        (stellt ganzen Orchester dar) 
        Konnte noch nicht speichern
        _   
    end note
    
    lochkartenSteuerungMusik --> ersteRechenmaschine
    
    
    
```